Get project timeline events
curl --request GET \
--url https://devtune.ai/api/v2/projects/{projectId}/timeline/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://devtune.ai/api/v2/projects/{projectId}/timeline/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://devtune.ai/api/v2/projects/{projectId}/timeline/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"window": {
"days": 30,
"from": "2023-12-25",
"to": "2023-12-25"
},
"events": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "external",
"kind": "change_detected",
"occurredAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"platformKeys": [
"<string>"
],
"titleKey": "<string>",
"evidence": {
"measuredAction": {
"interventionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"actionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actionTitle": "<string>",
"changeEventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"result": "win",
"measurementOpenedAt": "2023-11-07T05:31:56Z",
"windowClosedAt": "2023-11-07T05:31:56Z"
},
"detectedEvidence": {
"platform": "<string>",
"domain": "<string>",
"direction": "up",
"currentShare": 0.5,
"baselineShare": 0.5,
"absoluteChange": 123,
"relativeChange": 123,
"observationStart": "2023-12-25",
"observationEnd": "2023-12-25",
"projectCount": 1,
"projectFraction": 0.5
}
}
}
],
"coverage": {
"limit": 500,
"truncated": false
}
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}Endpoints
Get project timeline events
Returns project changes and sourced global facts as context for interpreting Visibility trends. Global facts are limited to all-platform events or platforms enabled for the project. Events do not imply a causal link to metric movements.
GET
/
projects
/
{projectId}
/
timeline
/
events
Get project timeline events
Authorizations
API key with dtk_live_ prefix. Obtain it from API Keys in the account sidebar. New keys start with all supported scopes selected for the chosen project, and you can narrow them to specific read/write scopes as needed.
Path Parameters
Query Parameters
Fixed rolling window in days. Supported values are 30 and 90. Defaults to 30.
Available options:
30, 90